Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class ElemText

    java.lang.Object
      |
      +--org.apache.xalan.xslt.UnImplNode
            |
            +--org.apache.xalan.xslt.ElemTemplateElement
                  |
                  +--org.apache.xalan.xslt.ElemText

public class ElemText
extends ElemTemplateElement

**For advanced use only** Implement xsl:template. This primarily acts as a marker on the element stack to signal that whitespace should be preserved.

See Also:
  Serialized Form

Fields inherited from class org.apache.xalan.xslt.ElemTemplateElement
`m_columnNumber, m_defaultSpace, m_elemName, m_finishedConstruction, m_lineNumber, m_parentNode, m_stylesheet`

Method Summary
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)` **For advanced use only** Add a child to the child list.
`int` | `getXSLToken()` **For advanced use only**

Methods inherited from class org.apache.xalan.xslt.ElemTemplateElement
`childrenToString, error, execute, executeChildren, getBaseIdentifier, getChildNodes, getFirstChild, getLastChild, getLength, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getTagName, hasChildNodes, isSpace, isWhiteSpace, item, processLocatedNode`

Methods inherited from class org.apache.xalan.xslt.UnImplNode
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getElementsByTagName, getElementsByTagNameNS, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getPreviousSibling, hasAttribute, hasAttributeNS, hasAttributes, insertBefore, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getXSLToken

    public int getXSLToken()

  Overrides:
    getXSLToken in class ElemTemplateElement

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                 throws org.w3c.dom.DOMException

  **For advanced use only** Add a child to the child list.
  Overrides:
    appendChild in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.